## libbiniou-ocaml 1.0.6

=== Makefile ===
VERSION = 1.0.5

FLAGS = -dtypes -g
PACKS = easy-format

ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
EXE=.exe
else
EXE=
endif

.PHONY: default all opt install doc test
default: all opt test_biniou$(EXE) META
all: biniou.cma
opt: biniou.cmxa bdump$(EXE)

test: test_biniou$(EXE)
	./test_biniou

ifndef PREFIX
  PREFIX = $(shell dirname $$(dirname $$(which ocamlfind)))
  export PREFIX
endif

ifndef BINDIR
  BINDIR = $(PREFIX)/bin
  export BINDIR
endif

META: META.in Makefile
	sed -e 's:@@VERSION@@:$(VERSION):' META.in > META

SOURCES = bi_util.mli bi_util.ml \
          bi_share.mli bi_share.ml \
          bi_outbuf.mli bi_outbuf.ml bi_inbuf.mli bi_inbuf.ml \
          bi_vint.mli bi_vint.ml bi_io.mli bi_io.ml \
          bi_dump.ml bi_stream.mli bi_stream.ml

MLI = $(filter %.mli, $(SOURCES))
ML = $(filter %.ml, $(SOURCES))
CMI = $(ML:.ml=.cmi)
CMO = $(ML:.ml=.cmo)
CMX = $(ML:.ml=.cmx)
O = $(ML:.ml=.o)

biniou.cma: $(SOURCES) Makefile
	ocamlfind ocamlc -a $(FLAGS) -o biniou.cma \
		-package "$(PACKS)" $(SOURCES)

biniou.cmxa: $(SOURCES) Makefile
	ocamlfind ocamlopt -a $(FLAGS) \
		-o biniou.cmxa -package "$(PACKS)" $(SOURCES)

bdump$(EXE): $(SOURCES) bdump.ml
	ocamlfind ocamlopt -o bdump$(EXE) $(FLAGS) \
		-package $(PACKS) -linkpkg \
		biniou.cmxa bdump.ml

test_biniou$(EXE): biniou.cmxa test_biniou.ml
	ocamlfind ocamlopt -o test_biniou$(EXE) $(FLAGS) \
		-package "$(PACKS) unix" -linkpkg \
		biniou.cmxa test_biniou.ml

doc: doc/index.html
doc/index.html: $(MLI)
	mkdir -p doc
	ocamlfind ocamldoc -d doc -html -package easy-format $(MLI)

install: META
	test ! -f bdump || cp bdump $(BINDIR)/
	test ! -f bdump.exe || cp bdump.exe $(BINDIR)/
	ocamlfind install biniou META \
          $$(ls $(MLI) $(CMI) $(CMO) $(CMX) $(O) \
             biniou.cma biniou.cmxa biniou.a)

uninstall:
	test ! -f $(BINDIR)/bdump || rm $(BINDIR)/bdump
	test ! -f $(BINDIR)/bdump.exe || rm $(BINDIR)/bdump.exe
	ocamlfind remove biniou

.PHONY: clean

clean:
	rm -f *.o *.a *.cm[ioxa] *.cmxa *~ *.annot
	rm -f bdump bdump.exe test_biniou test_biniou.exe META
	rm -rf doc
	rm -f test.bin test_channels.bin

SUBDIRS =
SVNURL = svn://svn.forge.ocamlcore.org/svnroot/biniou/trunk/biniou

.PHONY: archive
archive:
	@echo "Making archive for version $(VERSION)"
	@if [ -z "$$WWW" ]; then \
		echo '*** Environment variable WWW is undefined ***' >&2; \
		exit 1; \
	fi
	@if [ -n "$$(svn status -q)" ]; then \
		echo "*** There are uncommitted changes, aborting. ***" >&2; \
		exit 1; \
	fi
	$(MAKE) && ./bdump -help > $$WWW/bdump-help.txt
	mkdir -p $$WWW/biniou-doc
	$(MAKE) doc && cp doc/* $$WWW/biniou-doc/
	rm -rf /tmp/biniou /tmp/biniou-$(VERSION) && \
		cd /tmp && \
		svn co "$(SVNURL)" && \
		for x in "." $(SUBDIRS); do \
			rm -rf /tmp/biniou/$$x/.svn; \
		done && \
		cd /tmp && cp -r biniou biniou-$(VERSION) && \
		tar czf biniou.tar.gz biniou && \
		tar cjf biniou.tar.bz2 biniou && \
		tar czf biniou-$(VERSION).tar.gz biniou-$(VERSION) && \
		tar cjf biniou-$(VERSION).tar.bz2 biniou-$(VERSION)
	mv /tmp/biniou.tar.gz /tmp/biniou.tar.bz2 ../releases
	mv /tmp/biniou-$(VERSION).tar.gz \
		/tmp/biniou-$(VERSION).tar.bz2 ../releases
	cp ../releases/biniou.tar.gz $$WWW/
	cp ../releases/biniou.tar.bz2 $$WWW/
	cp ../releases/biniou-$(VERSION).tar.gz $$WWW/
	cp ../releases/biniou-$(VERSION).tar.bz2 $$WWW/
	cd ../releases && \
		svn add biniou.tar.gz biniou.tar.bz2 \
			biniou-$(VERSION).tar.gz biniou-$(VERSION).tar.bz2 && \
		svn commit -m "biniou version $(VERSION)"
	cp LICENSE $$WWW/biniou-license.txt
	cp Changes $$WWW/biniou-changes.txt
	cp biniou-format.txt $$WWW/biniou-format.txt
	echo 'let biniou_version = "$(VERSION)"' \
		> $$WWW/biniou-version.ml

=== debian/changelog ===
libbiniou-ocaml (1.0.6-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Fri, 30 May 2014 12:00:00 +0000

libbiniou-ocaml (1.0.6-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Fri, 31 May 2013 12:00:00 +0000

=== debian/control ===
Source: libbiniou-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 libeasy-format-ocaml-dev,
 ocaml-findlib,
 ocaml-native-compilers

Package: libbiniou-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Compact, fast and extensible serialization format
 Binary data format designed for speed, safety, ease of use and
 backward compatibility as protocols evolve.

Package: libbiniou-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libbiniou-ocaml (>= 1.0.6-2),
 libeasy-format-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-biniou
 The ocaml-biniou-devel package contains libraries and signature files
 for developing applications that use ocaml-biniou.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libbiniou-ocaml/usr/lib/ocaml/biniou/*.a
	rm -f debian/libbiniou-ocaml/usr/lib/ocaml/biniou/*.cmxa
	rm -f debian/libbiniou-ocaml/usr/lib/ocaml/biniou/*.cmx
	rm -f debian/libbiniou-ocaml/usr/lib/ocaml/biniou/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
